<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Fornecedor extends Model
{
    

    use HasFactory;
use SoftDeletes;
    protected $fillable=[
        'nome',
        'sigla',
        'nuit',
        'telefone',
        'email',
        'endereco',
        'cidade',
        'provincia'
];

public function contapagar()
      {
    
        return $this->hasMany(ContaPagar::class);
      }

      public function custooperaciona()
      {
    
        return $this->hasMany(CustoOperacional::class);
      }

             public function transactions()
      {
        return $this->hasMany(Transaction::class);
      }

      public function lancamento()
      {
        return $this->hasMany(LancamentoContabil::class);
      }

}
